Skip to content

Update Landing Page Dynamic Content Section

POST /rest/asset/v1/landingPage/{id}/dynamicContent/{contentId}.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/landingPage/{id}/dynamicContent/{contentId}.json
Tag: Landing Page Content
Operation ID: updateLandingPageDynamicContentUsingPOST

Updates the content of the target dynamic content section. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the landing page
contentId string Yes Id of the landing page dynamic content

Request body

Name: request
Required: No
Schema: model: UpdateLandingPageDynamicContentRequest

Dynamic content properties

Generated example

{
  "backgroundColor": "string",
  "borderColor": "string",
  "borderStyle": "string",
  "borderWidth": "string",
  "height": "string",
  "hideDesktop": true,
  "hideMobile": true,
  "imageOpenNewWindow": "string",
  "left": "string",
  "linkUrl": "https://example.com",
  "opacity": "string",
  "segment": "string",
  "top": "string",
  "type": "string",
  "value": "string",
  "width": "string",
  "zIndex": "string"
}

Referenced models

Example request

POST {{base_url}}/rest/asset/v1/landingPage/{{id}}/dynamicContent/{{contentId}}.json
Content-Type: application/x-www-form-urlencoded
Accept: application/json

{
  "backgroundColor": "string",
  "borderColor": "string",
  "borderStyle": "string",
  "borderWidth": "string",
  "height": "string",
  "hideDesktop": true,
  "hideMobile": true,
  "imageOpenNewWindow": "string",
  "left": "string",
  "linkUrl": "https://example.com",
  "opacity": "string",
  "segment": "string",
  "top": "string",
  "type": "string",
  "value": "string",
  "width": "string",
  "zIndex": "string"
}

Responses

200 — OK

Schema: model: ResponseOfIdResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.